Scalar DevelopersScalar Developers
User Guide
API Reference
FAQs
User Guide
API Reference
FAQs
  • Getting started

    • API Quick Start
    • API Authentication
    • API Responses
    • API Pagination
    • API Rate Limiting
    • Webhooks API
  • Resources

    • Announcements API
    • Boards API
    • Customers API
    • Ideas API
    • Idea States API
    • Surveys API
    • Topics API

Surveys

Surveys allow you to collect feedback using CSAT, NPS, or Polls. Use these endpoints to list surveys and fetch their responses.


List surveys

GET /api/v1/surveys/

Retrieve a paginated list of surveys.

Query parameters

ParameterTypeRequiredDefaultDescription
limitintegerNo20Results per page (max 100).
offsetintegerNo0Number of results to skip.

Example request

curl -sS \
  -H 'Authorization: Api-Key scalar*live*...' \
  'https://<your-host>/api/v1/surveys/'

Success response (200 OK)

{
    "results": [
        {
            "id": 1,
            "survey_type": "NPS",
            "prompt": "How likely are you to recommend us?",
            "published": true,
            "views": 150,
            "responses": 42,
            "response_rate": 28.0,
            "widget_position": "bottom-right",
            "slug": "nps-q1-abc123",
            "created": "2025-01-01T10:00:00Z"
        }
    ],
    "count": 1
}

List survey responses

GET /api/v1/surveys/<slug>/responses/

Retrieve a paginated list of responses for a specific survey.

Query parameters

ParameterTypeRequiredDefaultDescription
limitintegerNo20Results per page (max 100).
offsetintegerNo0Number of results to skip.

Example request

curl -sS \
  -H 'Authorization: Api-Key scalar*live*...' \
  'https://<your-host>/api/v1/surveys/nps-q1-abc123/responses/'

Success response (200 OK)

{
    "results": [
        {
            "id": 101,
            "user": {
                "id": 5,
                "first_name": "Sam",
                "email": "[email protected]"
            },
            "rating": 9,
            "poll_choice": null,
            "text_response": "Great product!",
            "session_id": "sess_abc123",
            "created": "2025-01-05T12:00:00Z"
        }
    ],
    "count": 1
}

Objects

Survey object

FieldTypeDescription
idintegerUnique internal ID.
survey_typestringSurvey type: NPS, CSAT, or POLL.
promptstringThe survey question displayed to users.
publishedbooleanWhether the survey is currently active.
viewsintegerNumber of times the survey has been displayed.
responsesintegerNumber of responses received.
response_ratefloatPercentage of views that resulted in responses.
widget_positionstringWidget display position (e.g. bottom-right).
slugstringURL-safe identifier.
createddatetimeISO 8601 creation timestamp.

Survey Response object

FieldTypeDescription
idintegerUnique internal ID.
userobjectNested object with id, first_name, and email.
ratingintegerNumeric score: 0-10 (NPS) or 1-5 (CSAT).
poll_choiceobjectSelected choice object for Poll surveys (or null).
text_responsestringOptional text feedback provided by the user.
session_idstringSession identifier for the response.
createddatetimeISO 8601 response timestamp.

Choice object

Used in the poll_choice field.

FieldTypeDescription
idintegerChoice ID.
titlestringChoice title.
Last Updated: 19/02/2026, 05:48
Contributors: Tlotlego Mogapi
Prev
Idea States API
Next
Topics API